package body MSHTML.DispDOMCompositionEvent_Object is

   function Get_bubbles
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_bubbles);
   end Get_bubbles;

   function Get_cancelable
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_cancelable);
   end Get_cancelable;

   function Get_currentTarget
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_currentTarget);
   end Get_currentTarget;

   function Get_defaultPrevented
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_defaultPrevented);
   end Get_defaultPrevented;

   function Get_eventPhase
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_eventPhase);
   end Get_eventPhase;

   function Get_target
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_target);
   end Get_target;

   function Get_timeStamp
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_timeStamp);
   end Get_timeStamp;

   function Get_type
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_type);
   end Get_type;

   procedure initEvent
     (This       : DispDOMCompositionEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispDOMCompositionEvent_initEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => cancelable,
          2 => canBubble,
          3 => eventType),
         Free);
   end initEvent;

   procedure preventDefault
     (This : DispDOMCompositionEvent_Type)
   is
   begin
      Invoke (This, DispDOMCompositionEvent_preventDefault);
   end preventDefault;

   procedure stopPropagation
     (This : DispDOMCompositionEvent_Type)
   is
   begin
      Invoke (This, DispDOMCompositionEvent_stopPropagation);
   end stopPropagation;

   procedure stopImmediatePropagation
     (This : DispDOMCompositionEvent_Type)
   is
   begin
      Invoke (This, DispDOMCompositionEvent_stopImmediatePropagation);
   end stopImmediatePropagation;

   function Get_isTrusted
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_isTrusted);
   end Get_isTrusted;

   procedure Put_cancelBubble
     (This : DispDOMCompositionEvent_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispDOMCompositionEvent_Put_cancelBubble,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cancelBubble;

   function Get_cancelBubble
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_cancelBubble);
   end Get_cancelBubble;

   function Get_srcElement
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_srcElement);
   end Get_srcElement;

   function Get_view
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_view);
   end Get_view;

   function Get_detail
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_detail);
   end Get_detail;

   procedure initUIEvent
     (This       : DispDOMCompositionEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      view       : GNATCOM.Types.VARIANT;
      detail     : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispDOMCompositionEvent_initUIEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => detail,
          2 => view,
          3 => cancelable,
          4 => canBubble,
          5 => eventType),
         Free);
   end initUIEvent;

   function Get_data
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_data);
   end Get_data;

   procedure initCompositionEvent
     (This       : DispDOMCompositionEvent_Type;
      eventType  : GNATCOM.Types.VARIANT;
      canBubble  : GNATCOM.Types.VARIANT;
      cancelable : GNATCOM.Types.VARIANT;
      viewArg    : GNATCOM.Types.VARIANT;
      data       : GNATCOM.Types.VARIANT;
      locale     : GNATCOM.Types.VARIANT;
      Free       : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispDOMCompositionEvent_initCompositionEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => locale,
          2 => data,
          3 => viewArg,
          4 => cancelable,
          5 => canBubble,
          6 => eventType),
         Free);
   end initCompositionEvent;

   function Get_locale
     (This : DispDOMCompositionEvent_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispDOMCompositionEvent_Get_locale);
   end Get_locale;

end MSHTML.DispDOMCompositionEvent_Object;

